# This file is the input for generating the list of preferences
# for pc_core.cpp and pc_core.h.
#
# For information on how to add or modify a preference, please
# refer to the module documentation.
#
# Preferences cannot depend directly on FEATUREs, they must depend
# on the macro they define.
#
Collection:  PrefsCollectionCore
Macro name:  PCCORE
Description: Core preferences
Type:        normal

Preference:  HomeURL
Depends on:
Section:     User Prefs
Key:         Home URL
Type:        string
Description: Global start page
Default:     DF_HOMEPAGE

Preference:  ErrorLogFilter
Depends on:  OPERA_CONSOLE_LOGFILE
Section:     User Prefs
Key:         Console Error Log Filter
Type:        string
Description: Filter to use in console error log
Default:     "javascript"

Preference:  CustomUAString
Depends on:  PREFS_HAVE_CUSTOM_UA
Section:     User Prefs
Key:         Custom User-Agent
Type:        string
Description: Custom User-Agent string
Default:     ""

Preference:  Firstname
Depends on:
Section:     Personal Info
Key:         First Name
Type:        string
Description: First name for form autocomple
Default:     ""

Preference:  Surname
Depends on:
Section:     Personal Info
Key:         Surname
Type:        string
Description: Surname for form autocomplete
Default:     ""

Preference:  Address
Depends on:
Section:     Personal Info
Key:         Address
Type:        string
Description: Address for form autocomplete
Default:     ""

Preference:  City
Depends on:
Section:     Personal Info
Key:         City
Type:        string
Description: City for form autocomplete
Default:     ""

Preference:  State
Depends on:
Section:     Personal Info
Key:         State
Type:        string
Description: State for form autocomplete
Default:     ""

Preference:  Zip
Depends on:
Section:     Personal Info
Key:         Zip
Type:        string
Description: Zip code for form autocomplete
Default:     ""

Preference:  Country
Depends on:
Section:     Personal Info
Key:         Country
Type:        string
Description: Country for form autocomplete
Default:     ""

Preference:  Telephone
Depends on:
Section:     Personal Info
Key:         Telephone
Type:        string
Description: Telephone number for form autocomplete
Default:     ""

Preference:  Telefax
Depends on:
Section:     Personal Info
Key:         Telefax
Type:        string
Description: Mobile/telefax number for form autocomplete
Default:     ""

Preference:  EMail
Depends on:
Section:     Personal Info
Key:         EMail
Type:        string
Description: E-mail address for form autocomplete
Default:     ""

Preference:  Home
Depends on:
Section:     Personal Info
Key:         Home Page
Type:        string
Description: Home page for form autocomplete
Default:     ""

Preference:  Special1
Depends on:
Section:     Personal Info
Key:         Special 1
Type:        string
Description: Extra field 1 for form autocomplete
Default:     ""

Preference:  Special2
Depends on:
Section:     Personal Info
Key:         Special 2
Type:        string
Description: Extra field 2 for form autocomplete
Default:     ""

Preference:  Special3
Depends on:
Section:     Personal Info
Key:         Special 3
Type:        string
Description: Extra field 3 for form autocomplete
Default:     ""

Preference:  PreferenceServer
Depends on:  PREFS_DOWNLOAD
Section:     Install
Key:         Preference URL
Type:        string
Description: URL of Operas customized preference server
Default:     "http://xml.opera.com/spoof/"

Preference:  LastSitepatchUpdateCheck
Depends on:  PREFS_HAVE_LAST_SITEPATCH_UPDATE_CHECK
Section:     User Prefs
Key:         Last Sitepatch Update Check
Type:        integer
Description: Identifies when the last sitepatch update check was performed. The integer represents the number of seconds since epoch, when the last update check was performed.
Default:     0

Preference:  ImageRAMCacheSize
Depends on:
Section:     Cache
Key:         Figure
Type:        integer
Description: Size of image RAM cache in kbytes
Default:     DEFAULT_CACHE_RAM_FIGS_SIZE

Preference:  RamCacheFigs
Depends on:
Section:     Cache
Key:         Cache Figs
Type:        boolean
Description: Enable caching of images in memory
Default:     DEFAULT_CACHE_RAM_FIGS

Preference:  DocumentCacheSize
Depends on:
Section:     Cache
Key:         Document
Type:        integer
Description: Size of document RAM cache in kbytes
Default:     DEFAULT_CACHE_RAM_SIZE

Preference:  RamCacheDocs
Depends on:
Section:     Cache
Key:         Cache Docs
Type:        boolean
Description: Enable caching of documents in memory
Default:     DEFAULT_CACHE_RAM_DOCS

Preference:  DefaultApplicationCacheQuota
Depends on:	 APPLICATION_CACHE_SUPPORT
Section:     Cache
Key:         Application Cache Quota
Type:        integer
Description: Default maximum size for offline application caches in kbytes
Default:     DEFAULT_APPLICATION_CACHE_DISK_QUOTA

Preference:  SVGRAMCacheSize
Depends on:  SVG_SUPPORT
Section:     Cache
Key:         SVG Cache Size
Type:        integer
Description: Size of svg image RAM cache in kbytes
Default:     DEFAULT_SVG_CACHED_BITMAPS_MAX_KILOBYTES_SIZE

Preference:  VisitedPages
Depends on:  VISITED_PAGES_SEARCH
Section:     User Prefs
Key:         Visited Pages
Type:        boolean
Description: Enable/Disable visited pages indexing
Default:     TRUE

Preference:  MaxDirectHistory
Depends on:  DIRECT_HISTORY_SUPPORT
Section:     User Prefs
Key:         Max Direct History Lines
Type:        integer
Description: Maximum number of direct addressing history items
Default:     DEFAULT_MAX_DIRECT_HISTORY_LINES

Preference:  MaxWindowHistory
Depends on:
Section:     User Prefs
Key:         Max Window History Lines
Type:        integer
Description: Maximum number of window history items
Default:     DEFAULT_MAX_WINDOW_HISTORY_LINES

Preference:  MaxGlobalHistory
Depends on:
Section:     User Prefs
Key:         Max Global History Lines
Type:        integer
Description: Maximum number of global history items
Default:     DEFAULT_MAX_GLOBAL_HISTORY_LINES

Preference:  MaxConsoleMessages
Depends on:  OPERA_CONSOLE
Section:     User Prefs
Key:         Max Console Messages
Type:        integer
Description: Maximum number of messages in the console
Default:     DEFAULT_MAX_CONSOLE_MESSAGES

Preference:  EnableWand
Depends on:  WAND_SUPPORT
Section:     User Prefs
Key:         Enable Wand
Type:        boolean
Description: Enable Wand support
Default:     DEFAULT_WAND_ENABLE

Preference:  AutocompleteOffDisablesWand
Depends on:  WAND_SUPPORT
Section:     User Prefs
Key:         AutocompleteOff Disables Wand
Type:        boolean
Description: Enable support for autocomplete="off"
Default:     FALSE

Preference:  WandAutosubmit
Depends on:  WAND_SUPPORT
Section:     User Prefs
Key:         Wand Autosubmit
Type:        boolean
Description: Wand submits forms data automatically
Default:     DEFAULT_WAND_AUTO_SUBMIT

Preference:  EnableGesture
Depends on:  MOUSE_SUPPORT
Section:     User Prefs
Key:         Enable Gesture
Type:        boolean
Description: Enable mouse gestures
Default:     TRUE

Preference:  GestureThreshold
Depends on:  MOUSE_SUPPORT
Section:     User Prefs
Key:         Gesture Threshold
Type:        integer
Description: Threshold for mouse gestures
Default:     5

Preference:  ReverseButtonFlipping
Depends on:  MOUSE_SUPPORT
Section:     User Prefs
Key:         Reverse Button Flipping
Type:        boolean
Description: Use left-handed flipback/flipforward gestures
Default:     -1

Preference:  EnableMouseFlips
Depends on:  MOUSE_SUPPORT
Section:     User Prefs
Key:         Enable Mouse Flips
Type:        boolean
Description: Enable mouse flip back and forward
Default:     TRUE

Preference:  PreferredNumberOfHits
Depends on:  SEARCH_ENGINES
Section:     User Prefs
Key:         Number Of Hits
Type:        integer
Description: Preferred number of search hits
Default:     0

Preference:  ColorSchemeMode
Depends on:
Section:     User Prefs
Key:         Color Scheme Mode
Type:        integer
Description: Auto color scheme system enabled
Default:     0

Preference:  SkinScale
Depends on:
Section:     User Prefs
Key:         Skin scale
Type:        integer
Description: Zoom for skin images in percent
Default:     100

Preference:  SpecialEffects
Depends on:
Section:     User Prefs
Key:         Special effects
Type:        boolean
Description: Enable skin special effects
Default:     DEFAULT_UI_SPECIAL_EFFECTS

Preference:  UseErrorLog
Depends on:  OPERA_CONSOLE_LOGFILE
Section:     User Prefs
Key:         Console Error Log Enabled
Type:        boolean
Description: Enable logging of console errors to file
Default:     FALSE

Preference:  ScrollStep
Depends on:  PHONE_SN_HANDLER
Section:     User Prefs
Key:         Scroll Step
Type:        integer
Description: Percent to scroll with arrow key in desktop mode
Default:     DEFAULT_SPATIAL_NAV_SCROLL_STEP

Preference:  ScrollStepHandheld
Depends on:  PHONE_SN_HANDLER
Section:     User Prefs
Key:         Scroll Step Handheld
Type:        integer
Description: Percent to scroll with arrow key in handheld mode
Default:     25

Preference:  ScrollStepHorizontal
Depends on:  PHONE_SN_HANDLER
Section:     User Prefs
Key:         Scroll Step Horizontal
Type:        integer
Description: Percent to scroll horizontally with arrow key
Default:     DEFAULT_SPATNAV_HORIZONTAL_SCROLL_STEP

Preference:  OperaConfigEnabled
Depends on:  OPERACONFIG_URL
Section:     User Prefs
Key:         Enable config URL
Type:        boolean
Description: Enable opera:config
Default:     TRUE

Preference:  PreferenceUpgrade
Depends on:  defined UPGRADE_SUPPORT && defined PREFS_WRITE
Section:     User Prefs
Key:         Preferences Version
Type:        integer
Description: Internal flag for prefs for upgrades
Default:     0

Preference:  SpoofTimeStamp
Depends on:  PREFS_HAVE_SPOOF_TIMESTAMP
Section:     User Prefs
Key:         Overrides Timestamp
Type:        integer
Description: Timestamp of the currently used overrides file, used when checking for updates.
Default:     0

Preference:  SpoofServerTimeStamp
Depends on:  PREFS_HAVE_SPOOF_TIMESTAMP
Section:     User Prefs
Key:         Overrides Server Timestamp
Type:        integer
Description: Timestamp of the overrides file which is currently available at the server. This value is different from SpoofTimeStamp if an overrides file update is available on the server, but the update was not yet downloaded and installed.
Default:     0

Preference:  AllowComponentsInUAStringComment
Depends on:  COMPONENT_IN_UASTRING_SUPPORT
Section:     User Agent
Key:         Allow Components In UA String Comment
Type:        boolean
Description: Allow adding extra components to UA string
Default:     DEFAULT_COMPONENTINUASTRING

Preference:  BookmarksSavePolicy
Depends on:  defined CORE_BOOKMARKS_SUPPORT && defined PREFS_HAVE_BOOKMARK
Section:     User Prefs
Key:         Save policy for bookmarks
Type:        integer
Description: Save policy used when bookmarks have changed
Default:     3

Preference:  BookmarksSaveTimeout
Depends on:  defined CORE_BOOKMARKS_SUPPORT && defined PREFS_HAVE_BOOKMARK
Section:     User Prefs
Key:         Timeout value for bookmark save
Type:        integer
Description: Timeout value in milliseconds to wait before saving bookmark changes
Default:     BOOKMARKS_DEFAULT_SAVE_TIMEOUT

Preference:  BookmarksMaxCount
Depends on:  defined CORE_BOOKMARKS_SUPPORT && defined PREFS_HAVE_BOOKMARK
Section:     User Prefs
Key:         Maximum number of bookmarks
Type:        integer
Description: Maximum total number of bookmarks
Default:     1000000

Preference:  BookmarksMaxFolderDepth
Depends on:  defined CORE_BOOKMARKS_SUPPORT && defined PREFS_HAVE_BOOKMARK
Section:     User Prefs
Key:         Maximum bookmark folder depth
Type:        integer
Description: Maximum allowed bookmark folder depth
Default:     1000000

Preference:  BookmarksMaxCountPerFolder
Depends on:  defined CORE_BOOKMARKS_SUPPORT && defined PREFS_HAVE_BOOKMARK
Section:     User Prefs
Key:         Maximum number per folder
Type:        integer
Description: Maximum allowed bookmark count per folder
Default:     1000000

Preference:  BookmarksUrlMaxLength
Depends on:  defined CORE_BOOKMARKS_SUPPORT && defined PREFS_HAVE_BOOKMARK
Section:     User Prefs
Key:         Maximum length of url
Type:        integer
Description: Maximum allowed length of bookmark url
Default:     DEFAULT_BOOKMARKS_URL_MAX_LENGTH

Preference:  BookmarksTitleMaxLength
Depends on:  defined CORE_BOOKMARKS_SUPPORT && defined PREFS_HAVE_BOOKMARK
Section:     User Prefs
Key:         Maximum length of title
Type:        integer
Description: Maximum allowed length of bookmark title
Default:     DEFAULT_BOOKMARKS_TITLE_MAX_LENGTH

Preference:  BookmarksDescMaxLength
Depends on:  defined CORE_BOOKMARKS_SUPPORT && defined PREFS_HAVE_BOOKMARK
Section:     User Prefs
Key:         Maximum length of description
Type:        integer
Description: Maximum allowed length of bookmark description
Default:     DEFAULT_BOOKMARKS_DESC_MAX_LENGTH

Preference:  BookmarksSnMaxLength
Depends on:  defined CORE_BOOKMARKS_SUPPORT && defined PREFS_HAVE_BOOKMARK
Section:     User Prefs
Key:         Maximum length of shortname
Type:        integer
Description: Maximum allowed length of bookmark shortname
Default:     DEFAULT_BOOKMARKS_SHORT_NAME_MAXLENGTH

Preference:  BookmarksFaviconFileMaxLength
Depends on:  defined CORE_BOOKMARKS_SUPPORT && defined PREFS_HAVE_BOOKMARK
Section:     User Prefs
Key:         Maximum length of favicon file name
Type:        integer
Description: Maximum allowed length of bookmark favicon file name
Default:     DEFAULT_BOOKMARKS_FAVICON_FILE_MAX_LENGTH

Preference:  BookmarksThumbnailFileMaxLength
Depends on:  defined CORE_BOOKMARKS_SUPPORT && defined PREFS_HAVE_BOOKMARK
Section:     User Prefs
Key:         Maximum length of thumbnail file name
Type:        integer
Description: Maximum allowed length of bookmark thumbnail file name
Default:     DEFAULT_BOOKMARKS_THUMBNAIL_FILE_MAX_LENGTH

Preference:  BookmarksCreatedMaxLength
Depends on:  defined CORE_BOOKMARKS_SUPPORT && defined PREFS_HAVE_BOOKMARK
Section:     User Prefs
Key:         Maximum length of created time string
Type:        integer
Description: Maximum allowed length of created time string
Default:     DEFAULT_BOOKMARKS_CREATED_TIME_MAX_LENGTH

Preference:  BookmarksVisitedMaxLength
Depends on:  defined CORE_BOOKMARKS_SUPPORT && defined PREFS_HAVE_BOOKMARK
Section:     User Prefs
Key:         Maximum length of visited time string
Type:        integer
Description: Maximum allowed length of visited time string
Default:     DEFAULT_BOOKMARKS_VISITED_TIME_MAX_LENGTH

Preference:  LastUsedSpellcheckLanguage
Depends on:  INTERNAL_SPELLCHECK_SUPPORT
Section:     User Prefs
Key:         Last Used Spellcheck Language
Type:        string
Description: Last language used for spellchecking
Default:     ""

Preference:  SpellcheckEnabledByDefault
Depends on:  INTERNAL_SPELLCHECK_SUPPORT
Section:     User Prefs
Key:         Spellcheck enabled by default
Type:        boolean
Description: Determine if spellchecking should be enabled by default
Default:     TRUE

Preference:  DetectNearbyElements
Depends on:  NEARBY_ELEMENT_DETECTION
Section:     Link
Key:         Detect Nearby Elements
Type:        boolean
Description: Detect nearby anchor and form elements within a radius specified by NearbyElementsRadius
Default:     FALSE

Preference:  NearbyElementsRadius
Depends on:  NEARBY_ELEMENT_DETECTION
Section:     Link
Key:         Nearby Elements Radius
Type:        integer
Description: Radius (in points (1/72 inch)) within which to look for nearby anchor and form elements. NearbyElementsRadius must be enabled for this to have any effect. The default of 22pt is about 7.6mm, which is allegedly Microsoft's definition of finger size.
Default:     22

Preference:  AlwaysExpandLinks
Depends on:  NEARBY_ELEMENT_DETECTION
Section:     Link
Key:         Always Expand Nearby Elements
Type:        boolean
Description: Always expand nearby elements, even if user clicks directly inside an element and there are no nearby elements
Default:     FALSE

Preference:  ExpandedMinimumSize
Depends on:  NEARBY_ELEMENT_DETECTION
Section:     Link
Key:         Expanded Minimum Size
Type:        integer
Description: Expanded elements window minimum size. Elements will be drawn scaled or positioned centered inside if they are not big enough.
Default:     30

Preference:  EnableSearchFieldErrorPage
Depends on:  AB_ERROR_SEARCH_FORM
Section:     User Prefs
Key:         Search Field On Error Pages
Type:        boolean
Description: Adds a form with a search field on error pages using the user's default search engine
Default:     TRUE

Preference:  SwitchAnimationThrottlingInterval
Depends on:  PREFS_HAVE_ANIMATION_THROTTLING
Section:     Performance
Key:         Switch Animation Throttling Interval
Type:        integer
Description: The minimal interval (in ms) that should be kept between enabling/disabling the throttling of animated content. This value is used used to not switch the throttling to often.
Default:     2000

Preference:  LagThresholdForAnimationThrottling
Depends on:  PREFS_HAVE_ANIMATION_THROTTLING
Section:     Performance
Key:         Lag Threshold For Animation Throttling
Type:        integer
Description: The average lag (in ms) of messages in dispatcher's queue that should be considered as throttling trigger. This value is a threshold used to determine whether the throttling of animated content is needed or not.
Default:     50

Preference:  ProtocolsListTimeStamp
Depends on:  WEB_HANDLERS_SUPPORT
Section:     User Prefs
Key:         Protocols List Timestamp
Type:        integer
Description: Timestamp of the currently used handler-ignore.ini file, used when checking for updates.
Default:     0

Preference:  ProtocolsListServerTimeStamp
Depends on:  WEB_HANDLERS_SUPPORT
Section:     User Prefs
Key:         Protocols List Server Timestamp
Type:        integer
Description: Timestamp of the handler-ignore.ini file which is currently available at the server. This value is different from ProtocolsWLTimeStamp if an handlers-ignore.ini file update is available on the server, but the update was not yet downloaded and installed.
Default:     0

Preference:  EnableSpeedDial
Depends on:  CORE_SPEED_DIAL_SUPPORT
Section:     User Prefs
Key:         Enable Speed Dial
Type:        boolean
Description: Set to false to disable speed dial
Default:     TRUE

Preference:  EnableHardwareAcceleration
Depends on:  VEGA_3DDEVICE
Section:     User Prefs
Key:         Enable Hardware Acceleration
Type:        integer
Description: Set 0 to disable hardware acceleration, 1 for autodetect (default), 2 to force on if available (use at your own risk).
Default:     PREFS_DEFAULT_HWACC_ENABLED

Preference:  EnableWebGL
Depends on:  CANVAS3D_SUPPORT
Section:     User Prefs
Key:         Enable WebGL
Type:        integer
Description: Set 0 to disable WebGL, 1 for autodetect (default), 2 to force on if possible (use at your own risk).
Default:     DEFAULT_ENABLE_WEBGL

Preference:  BlocklistLocation
Depends on:  defined(VEGA_BACKENDS_BLOCKLIST_FETCH)
Section:     User Prefs
Key:         Blocklist Location
Type:        string
Description: location of the blocklist files used to determine whether hw acc can be enabled
Default:     "http://get.geo.opera.com/res/servicefiles/hardware-acceleration/"

Preference:  BlocklistRetryDelay
Depends on:  VEGA_BACKENDS_BLOCKLIST_FETCH
Section:     User Prefs
Key:         Blocklist Retry Delay
Type:        integer
Description: how long to wait, in seconds, before a new attempt is made to fetch blocklist on failure
Default:     60*10

Preference:  BlocklistRefetchDelay
Depends on:  VEGA_BACKENDS_BLOCKLIST_FETCH
Section:     User Prefs
Key:         Blocklist Refetch Delay
Type:        integer
Description: how long to wait, in seconds, before updating the blocklist
Default:     60*60*24*7

Preference:  EnableTVStore
Depends on:  DOM_LOAD_TV_APP
Section:     User Prefs
Key:         Enable TV Store
Type:        boolean
Description: Enable TV Store functionality
Default:     FALSE

Preference:  PreferredRenderer
Depends on:  defined PREFS_HAVE_PREFERRED_RENDERER
Section:     User Prefs
Key:         Preferred renderer
Type:        integer
Description: Set to 0 for OpenGL, 1 for DX10 (Hardware), 2 for DX10 (Warp).
Default:     DEFAULT_PREFERRED_RENDERER

.eof
